{"openapi":"3.0.0","servers":[{"description":"SwaggerHub API Auto Mocking","url":"https://virtserver.swaggerhub.com/pyrobyte.ru/100qiwi.admin/1.0.0"}],"info":{"description":"This is a simple API","version":"1.0.0","title":"100qiwi","contact":{"email":"you@your-company.com"},"license":{"name":"Apache 2.0","url":"http://www.apache.org/licenses/LICENSE-2.0.html"}},"tags":[{"name":"admins","description":"Secured Admin-only calls"},{"name":"developers","description":"Operations available to regular developers"},{"name":"index","description":"Get blocks for index page"}],"paths":{"/ajax/index/errors-task":{"get":{"tags":["index"],"description":"получение блока \"Ошибки задач\"\n","responses":{"200":{"description":"получение фрагмента html"}}}},"/ajax/index/queries-to-api":{"get":{"tags":["index"],"description":"получение блока \"Запросы к АПИ\"\n","responses":{"200":{"description":"получение фрагмента html"}}}},"/ajax/index/stat-pay-system":{"get":{"tags":["index"],"description":"получение блока \"Статистика платежных систем\"\n","parameters":[{"in":"query","name":"filter","schema":{"type":"string","example":"qiwi"},"description":"фильтрация по кошелькам"}],"responses":{"200":{"description":"получение фрагмента html"}}}},"/ajax/index/stat-sync-wallet":{"get":{"tags":["index"],"description":"получение блока \"Синхронизация кошельков\"\n","responses":{"200":{"description":"получение фрагмента html"}}}},"/ajax/index/stat-tasks":{"get":{"tags":["index"],"description":"получение блока \"Статистика задач\"\n","responses":{"200":{"description":"получение фрагмента html"}}}},"/ajax/index/top-wallet":{"get":{"tags":["index"],"description":"получение блока \"Топ кошельков\"\n","responses":{"200":{"description":"получение фрагмента html"}},"parameters":[{"in":"query","name":"period","schema":{"type":"string","example":"day"},"description":"переиод за который выводить статистику: day/week/month"}]}},"/ajax/index/wallet-reserve":{"get":{"tags":["index"],"description":"получение блока \"Кошельки в резерве\"\n","responses":{"200":{"description":"получение фрагмента html"}}}},"/settings/mainOptions":{"post":{"description":"изменение основных настроек сайта\n","parameters":[{"in":"query","name":"option","schema":{"type":"string"},"description":"option может быть\ntask_switcher - выполнение задач;\nwallet_payouts - выводы;\nsync_wallets - синхронизация кошельков;\n"},{"in":"query","name":"value","schema":{"type":"string"},"description":"значение опции"}],"responses":{"200":{"description":"успешное изменение настроек","content":{"application/json":{"schema":{"type":"boolean"}}}}}}}},"shemas":{"InventoryItem":{"type":"object","required":["id","name","manufacturer","releaseDate"],"properties":{"id":{"type":"string","format":"uuid","example":"d290f1ee-6c54-4b01-90e6-d701748f0851"},"name":{"type":"string","example":"Widget Adapter"},"releaseDate":{"type":"string","format":"date-time","example":"2016-08-29T09:12:33.001Z"},"manufacturer":{"$ref":"#/components/schemas/Manufacturer"}}},"Manufacturer":{"required":["name"],"properties":{"name":{"type":"string","example":"ACME Corporation"},"homePage":{"type":"string","format":"url","example":"https://www.acme-corp.com"},"phone":{"type":"string","example":"408-867-5309"}},"type":"object"}}}